package cn.ibizlab.r7.runtime.core.r7rt_org.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_org.domain.OrgUser;
import cn.ibizlab.r7.runtime.core.r7rt_org.filter.OrgUserSearchContext;

/**
 * 实体[OrgUser] 服务对象接口
 */

public interface IOrgUserService{
     boolean create(OrgUser orgUser) ;
     boolean save(OrgUser orgUser) ;
     boolean update(OrgUser orgUser) ;
     boolean remove(String orgUserId) ;
     OrgUser get(String orgUserId) ;
     OrgUser get(OrgUser orgUser) ;
     boolean checkKey(OrgUser orgUser) ;
     OrgUser getDraft(OrgUser orgUser) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<OrgUser> searchDefault(OrgUserSearchContext context) ;

    /**
     * 根据组织查询
     */
     Page<OrgUser> selectByOrg(String orgid) ;
     List<OrgUser> selectByOrg2(String orgid);

}
